/*
 *    Copyright (c) 2018-2025, cyweb All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * Redistributions of source code must retain the above copyright notice,
 * this list of conditions and the following disclaimer.
 * Redistributions in binary form must reproduce the above copyright
 * notice, this list of conditions and the following disclaimer in the
 * documentation and/or other materials provided with the distribution.
 * Neither the name of the pig4cloud.com developer nor the names of its
 * contributors may be used to endorse or promote products derived from
 * this software without specific prior written permission.
 *
 */

import request from '/@/utils/request';

export function getPage(params?: any) {
	return request({
		url: '/finance/recruitstu/page',
		method: 'get',
		params
	});
}

export function getObj(id: string) {
	return request({
		url: '/finance/recruitstu/' + id,
		method: 'get'
	});
}

export function addObj(obj: any) {
	return request({
		url: '/finance/recruitstu',
		method: 'post',
		data: obj
	});
}

export function editObj(obj: any) {
	return request({
		url: '/finance/recruitstu/edit',
		method: 'post',
		data: obj
	});
}

export function delObj(id: string) {
	return request({
		url: '/finance/recruitstu/delete',
		method: 'post',
		data: { id }
	});
}